POST
https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/policies/composition
Request
Send your API key in the request header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
Body Params
application/json
winPolicyAssignments
array [object]
optional
winPolicyId
string
optional
priority
integer
required
targetId
string
optional
targetType
string
optional
skipSegmentValidation
boolean
optional
{
"winPolicyAssignments": [
{
"winPolicyId": "string",
"priority": 0
}
],
"targetId": "507f1f77bcf86cd7994390bb",
"targetType": "device",
"skipSegmentValidation": true
}
Responses
200 Response
application/json
status
boolean
optional
data
object
optional
{
"status": true,
"data": {}
}
400 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 5091,
"message": "Invalid data"
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}